#!/bin/sh
#
# $FreeBSD: ports/irc/ngircd/files/ngircd.in,v 1.1 2006/02/13 16:56:11 mnag Exp $
#
# PROVIDE: ngircd
# REQUIRE: DAEMON
#
# Add the following lines to /etc/rc.conf to run ngircd:
#
# ngircd_enable (bool):		Set it to "YES" to enable ngircd.
#				Default is "NO".
# ngircd_conf (file):		Set local of config file.
#				Default is "/usr/local/etc/ngircd.conf".
# ngircd_flags (flags):		Set extra flags here. More options in ngircd(1)
#				Default is empty "".
#

. /etc/rc.subr

name="ngircd"
rcvar=`set_rcvar`

load_rc_config $name

: ${ngircd_enable="NO"}
: ${ngircd_conf="/usr/local/etc/ngircd.conf"}
: ${ngircd_flags=""}

required_files="${ngircd_conf}"
command=/usr/local/sbin/ngircd
command_args="-f ${ngircd_conf} ${ngircd_flags}"

run_rc_command "$1"
